var IngamePanelCustomPanelLoaded = false;
document.addEventListener('beforeunload', function () {
  IngamePanelCustomPanelLoaded = false;
}, false);

class IngamePanelCustomPanel extends HTMLElement {
  constructor() {
    super();
  }
}
window.customElements.define("ingamepanel-fspm", IngamePanelCustomPanel);

window.onmessage = function (e) {
  var request = e.data
  var response = {
    "read": [],
    "write": []
  }
  if (request.read) {
    request.read.forEach(element => {
      let simvar = SimVar.GetSimVarValue(element.name, element.unit)
      response.read.push({
        "name": element.name,
        "unit": element.unit,
        "value": simvar
      })
    });
  }
  if (request.write) {
    request.write.forEach(element => {
      SimVar.SetSimVarValue(element.name, element.unit, element.value)
      response.write.push({
        "name": element.name,
        "unit": element.unit,
      })
    });
  }
  var iframe = document.getElementById("CustomPanelIframe");
  iframe.contentWindow.postMessage(response, '*');
};

checkAutoload();